[@bigcommerce/checkout-sdk](../README.md) / BoltButtonInitializeOptions

# Interface: BoltButtonInitializeOptions

## Table of contents

### Properties

- [buyNowInitializeOptions](BoltButtonInitializeOptions.md#buynowinitializeoptions)
- [style](BoltButtonInitializeOptions.md#style)

## Properties

### buyNowInitializeOptions

• `Optional` **buyNowInitializeOptions**: [`BoltBuyNowInitializeOptions`](BoltBuyNowInitializeOptions.md)

The options that are required to initialize Buy Now functionality.

___

### style

• `Optional` **style**: [`BoltButtonStyleOptions`](BoltButtonStyleOptions.md)
